// HexViewerDoc.h : interface of the CHexViewerDoc class
//


#pragma once

class CHexViewerDoc : public CDocument
{
protected: // create from serialization only
	CHexViewerDoc();
	DECLARE_DYNCREATE(CHexViewerDoc)

// Attributes
public:
	CFile* m_pFile;
	LONG m_lFileSize;

public:
  BOOL ReadLine(CString& strLine, int nLength, LONG lOffset = -1L);

// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CHexViewerDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
  virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
};


