// HexViewerView.h : interface of the CHexViewerView class
//


#pragma once


class CHexViewerView : public CScrollView
{
protected: // create from serialization only
	CHexViewerView();
	DECLARE_DYNCREATE(CHexViewerView)

// Attributes
public:
	CHexViewerDoc* GetDocument() const;

// Operations
protected:
	CFont*	m_pFont;
	LOGFONT	m_logfont;
	int		m_nPointSize;
	int		m_nPageHeight;
	int		m_nPageWidth;

int MeasureFontHeight(CFont* pFont, CDC* pDC);

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CHexViewerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in HexViewerView.cpp
inline CHexViewerDoc* CHexViewerView::GetDocument() const
   { return reinterpret_cast<CHexViewerDoc*>(m_pDocument); }
#endif

