// SDIAppView.cpp : implementation of the CSDIAppView class
//

#include "stdafx.h"
#include "SDIApp.h"

#include "SDIAppDoc.h"
#include "SDIAppView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSDIAppView

IMPLEMENT_DYNCREATE(CSDIAppView, CView)

BEGIN_MESSAGE_MAP(CSDIAppView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
  ON_COMMAND(ID_STATUSBARTEST_SETTEXT, OnStatusbartestSettext)
END_MESSAGE_MAP()

// CSDIAppView construction/destruction

CSDIAppView::CSDIAppView()
{
	// TODO: add construction code here

}

CSDIAppView::~CSDIAppView()
{
}

BOOL CSDIAppView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CSDIAppView drawing

void CSDIAppView::OnDraw(CDC* pDC)
{
	CSDIAppDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

  CString str = "Please note that this code is merely here for the reader to see certain default settings for SDI apps.";
  pDC->TextOut(10, 10, str);
  str = "The \"true\" demo for Chapter 2 is the HexViewer application which allows you to open and view binary files.";
  pDC->TextOut(10, 50, str);
}


// CSDIAppView printing

BOOL CSDIAppView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CSDIAppView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CSDIAppView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CSDIAppView diagnostics

#ifdef _DEBUG
void CSDIAppView::AssertValid() const
{
	CView::AssertValid();
}

void CSDIAppView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CSDIAppDoc* CSDIAppView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CSDIAppDoc)));
	return (CSDIAppDoc*)m_pDocument;
}
#endif //_DEBUG


// CSDIAppView message handlers

void CSDIAppView::OnStatusbartestSettext()
{
  CFrameWnd* pFrame = (CFrameWnd*)AfxGetMainWnd();
  ASSERT(pFrame);
  if (pFrame)
  {
    pFrame->ShowWindow(SW_MINIMIZE);
  }
}
